Bug 199260 - [PATCH] russian/emkatic: Update to 0.20
Summary: [PATCH] russian/emkatic: Update to 0.20
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-04-07 10:57 UTC by Andrey Fesenko
Modified: 2015-04-10 09:31 UTC (History)
1 user (show)

See Also:


Attachments
Update patch (1.77 KB, patch)
2015-04-07 10:57 UTC, Andrey Fesenko
andrey: maintainer-approval+
Details | Diff
poudriere build log for 0.20 (38.55 KB, text/x-log)
2015-04-07 10:58 UTC, Andrey Fesenko
no flags Details
Update patch (1.77 KB, patch)
2015-04-08 17:33 UTC, Andrey Fesenko
andrey: maintainer-approval+
Details | Diff
Update patch (1.77 KB, patch)
2015-04-09 07:12 UTC, Andrey Fesenko
andrey: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Fesenko 2015-04-07 10:57:37 UTC
Created attachment 155299 [details]
Update patch

Update to version 0.20
Add DOCS (CHANGELOG.txt - UTF8)
Remapping keys added
small fixes
Comment 1 Andrey Fesenko 2015-04-07 10:58:45 UTC
Created attachment 155300 [details]
poudriere build log for 0.20
Comment 2 Andrey Fesenko 2015-04-08 17:33:56 UTC
Created attachment 155346 [details]
Update patch

Changed source code archive, fix typo in a CHANGELOG.txt (fix Update patch)
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2015-04-09 05:57:32 UTC
Thanks for your submission Andrey.

Minor nit, if you could sort and group your OPTIONS_DEFINE and OPTIONS_DEFAULT entries, that would be great.
Comment 4 Andrey Fesenko 2015-04-09 07:12:46 UTC
Created attachment 155358 [details]
Update patch

Group OPTIONS_DEFINE and OPTIONS_DEFAULT alphabetical
Comment 5 Alexey Dokuchaev freebsd_committer 2015-04-09 08:22:21 UTC
Port definitely needs some love.  I'll handle if from now on.  Now further patches are probably necessary.
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2015-04-09 08:44:29 UTC
Thanks Alexey
Comment 7 commit-hook freebsd_committer 2015-04-10 09:26:26 UTC
A commit references this bug:

Author: danfe
Date: Fri Apr 10 09:25:40 UTC 2015
New revision: 383714
URL: https://svnweb.freebsd.org/changeset/ports/383714

Log:
  - Update to version 0.20 and install CHANGELOG.txt file
  - Add missing LCL_UNITS_DIR assignment (otherwise port was not buildable
    both locally and in tinderbox)
  - Rename rather vague LCL (Lazarus Component Library) option to GUI as it
    better reflects its usage and comes with nice default description
  - Rephrase {GTK2|QT4}_DESC and spell GTK+ and Qt correctly
  - Sanitize installation target recipe and improve port description text

  PR:	199260

Changes:
  head/russian/emkatic/Makefile
  head/russian/emkatic/distinfo
  head/russian/emkatic/pkg-descr
Comment 8 Alexey Dokuchaev freebsd_committer 2015-04-10 09:31:56 UTC
Committed (with modifications) as of ports r383714, thanks for your submission.

By the way, I do not see the need to put in into `russian' category; IMHO `emulators' suits it much better.  The mere fact that it only supports Cyrillic user interface does not warrant it.  If you would tell me we have a port for a calculator (of any origin or country) emulator, I'd look under `emulators` (notice that emulators for TI and HP calculators already live there).

Last but not least, look at the package name: ru-emkatic-0.20.  It suggest that there should be master, language-agnostic package emkatic-0.20 (and maybe other xx-emkatic packages), but this is simply not true in this case.

Consider moving it to `emulators' at some point (even better, send a patch to upstream so it gets proper English support! ;-).